#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <TimeLib.h>
#include <DS1307RTC.h>
//DS3231 rtc(SDA, SCL);
#define OLED_MOSI 5
#define OLED_CLK 6
#define OLED_DC 7
#define OLED_CS 9
#define OLED_RESET 8
Adafruit_SSD1306 display(OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);
const int sensor_pin = A7;
float temp;  
float output;
float ra;
void setup() 
{
    Serial.begin(9600);

pinMode(sensor_pin,INPUT);
display.begin(SSD1306_SWITCHCAPVCC);
Serial.println("hello");
//rtc.setDOW(WEDNESDAY);     // Set Day-of-Week to SUNDAY
//rtc.setTime(19, 02, 0);     // Set the time to 12:00:00 (24hr format)
//rtc.setDate(7, 12, 2017);   // Set the date to June 6th, 2017
display.clearDisplay();
display.setTextColor(WHITE);
display.setTextSize(2);
display.setCursor(0,0);
display.print("   Wi-Ro ");
display.setCursor(0,17);
display.print("  by Rahul");
display.display();
delay(5000);
}

void loop()
{
    tmElements_t tm;

output = analogRead(sensor_pin);
ra = ( output/1024.0)*5000;
temp = ra/10;
  if (RTC.read(tm)) {

display.clearDisplay();
display.setTextSize(2);
display.setCursor(20,0);
display.print(tm.Hour);
    display.print(':');
   display.print(tm.Minute);
    display.print(':');
   display.print(tm.Second);
display.setTextSize(1);
display.setCursor(0,15);
display.print(tm.Day);
    display.print('/');
    display.print(tm.Month);
    display.print('/');
    display.print(tmYearToCalendar(tm.Year));
    display.setTextSize(1);
display.setCursor(70,15);
  int r = dow(tmYearToCalendar(tm.Year),tm.Month,tm.Day);
 switch(r)
  {
    case 1 :
    display.print("Tuesday");
    break;
    case 2 :
    display.print("Wednesday");
    break;
    case 3:
    display.print("Thursday");
    break;
    case 4:
    display.print("Friday");
    break;
    case 5:
    display.println("Saturday");
    break;
    case 6:
    display.print("Sunday");
    break;
    case 7:
    display.print("Monday");
    break;
    
    default:
    display.print("hello");
    }
//display.print("Wednesday");
display.setTextSize(1);
display.setCursor(20,25);
display.print("Temp: ");
display.print(temp);
display.print("C");
display.display(); 
  }
delay(1000);
}



int leap (int year)
{
  return year*365 + (year/4) - (year/100) + (year/400);
}


int zeller (int year, int month, int day)
{
  year += ((month+9)/12) - 1;
  month = (month+9) % 12;
  return leap (year) + month*30 + ((6*month+5)/10) + day + 1;
}

int dow (int year, int month, int day)
{
  return (zeller (year, month, day) % 7) + 1;
}
